App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
mhr_appcore_filters_Filter.cpp File Reference
`#include "mhr_appcore_filters_Filter.hpp"`
`#include "../app/app_all.hpp"`

Go to the source code of this file.

## Functions
JNIEXPORT jint JNICALL | Java_mhr_appcore_filters_Filter_disposeFilter (JNIEnv *pEnv, jclass pThisClass, jlong adress)
JNIEXPORT jlong JNICALL | Java_mhr_appcore_filters_Filter_createGaussianBlurFilter (JNIEnv *pEnv, jclass pThisClass, jdouble xSigma, jdouble ySigma)
JNIEXPORT jlong JNICALL | Java_mhr_appcore_filters_Filter_createLaplaceSharpenFilter (JNIEnv *pEnv, jclass pThisClass, jdouble force)
JNIEXPORT jlong JNICALL | Java_mhr_appcore_filters_Filter_createGaussianSharpenFilter (JNIEnv *pEnv, jclass pThisClass, jdouble sigma, jdouble force)
JNIEXPORT jlong JNICALL | Java_mhr_appcore_filters_Filter_createLaplacianOfGaussianSharpenFilter (JNIEnv *pEnv, jclass pThisClass, jdouble sigma, jdouble force, jboolean area)
JNIEXPORT jlong JNICALL | Java_mhr_appcore_filters_Filter_createDifferenceOfGaussianSharpenFilter (JNIEnv *pEnv, jclass pThisClass, jdouble sigma, jdouble k, jdouble force, jboolean area)
JNIEXPORT jint JNICALL | Java_mhr_appcore_filters_Filter_applyTo__JJIIII (JNIEnv *pEnv, jclass pThisClass, jlong filterAdress, jlong dstAdress, jint dstTlx, jint dstTly, jint dstBrx, jint dstBry)
JNIEXPORT jint JNICALL | Java_mhr_appcore_filters_Filter_applyTo__JJIIIID (JNIEnv *pEnv, jclass pThisClass, jlong filterAdress, jlong dstAdress, jint dstTlx, jint dstTly, jint dstBrx, jint dstBry, jdouble alpha)
JNIEXPORT jint JNICALL | Java_mhr_appcore_filters_Filter_applyTo__JJJIIIIII (JNIEnv *pEnv, jclass pThisClass, jlong filterAdress, jlong dstAdress, jlong mskAdress, jint mskTlx, jint mskTly, jint mskBrx, jint mskBry, jint mskOrigX, jint mskOrigY)
JNIEXPORT jint JNICALL | Java_mhr_appcore_filters_Filter_applyTo__JJJIIIIIID (JNIEnv *pEnv, jclass pThisClass, jlong filterAdress, jlong dstAdress, jlong mskAdress, jint mskTlx, jint mskTly, jint mskBrx, jint mskBry, jint mskOrigX, jint mskOrigY, jdouble alpha)

## Function Documentation

JNIEXPORT jint JNICALL Java_mhr_appcore_filters_Filter_applyTo__JJIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jlong | filterAdress,
|  | jlong | dstAdress,
|  | jint | dstTlx,
|  | jint | dstTly,
|  | jint | dstBrx,
|  | jint | dstBry
| ) |  |

Definition at line 74 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * f = (TFilter<px_4x8bit, px_1x8bit> *) filterAdress;
rgba_8bit_bitmap * dst = (rgba_8bit_bitmap *) dstAdress;
return f->applyTo(*dst, Rect(dstTlx, dstTly, dstBrx, dstBry));
}

JNIEXPORT jint JNICALL Java_mhr_appcore_filters_Filter_applyTo__JJIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jlong | filterAdress,
|  | jlong | dstAdress,
|  | jint | dstTlx,
|  | jint | dstTly,
|  | jint | dstBrx,
|  | jint | dstBry,
|  | jdouble | alpha
| ) |  |

Definition at line 81 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * f = (TFilter<px_4x8bit, px_1x8bit> *) filterAdress;
rgba_8bit_bitmap * dst = (rgba_8bit_bitmap *) dstAdress;
return f->applyTo(*dst, Rect(dstTlx, dstTly, dstBrx, dstBry), alpha);
}

JNIEXPORT jint JNICALL Java_mhr_appcore_filters_Filter_applyTo__JJJIIIIII | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jlong | filterAdress,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | mskOrigX,
|  | jint | mskOrigY
| ) |  |

Definition at line 88 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * f = (TFilter<px_4x8bit, px_1x8bit> *) filterAdress;
rgba_8bit_bitmap * dst = (rgba_8bit_bitmap *) dstAdress;
mono_8bit_bitmap * msk = (mono_8bit_bitmap *) mskAdress;
return f->applyTo(*dst, *msk, Rect(mskTlx, mskTly, mskBrx, mskBry), Point(mskOrigX, mskOrigY));
}

JNIEXPORT jint JNICALL Java_mhr_appcore_filters_Filter_applyTo__JJJIIIIIID | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jlong | filterAdress,
|  | jlong | dstAdress,
|  | jlong | mskAdress,
|  | jint | mskTlx,
|  | jint | mskTly,
|  | jint | mskBrx,
|  | jint | mskBry,
|  | jint | mskOrigX,
|  | jint | mskOrigY,
|  | jdouble | alpha
| ) |  |

Definition at line 96 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * f = (TFilter<px_4x8bit, px_1x8bit> *) filterAdress;
rgba_8bit_bitmap * dst = (rgba_8bit_bitmap *) dstAdress;
mono_8bit_bitmap * msk = (mono_8bit_bitmap *) mskAdress;
return f->applyTo(*dst, *msk, Rect(mskTlx, mskTly, mskBrx, mskBry), Point(mskOrigX, mskOrigY), alpha);
}

JNIEXPORT jlong JNICALL Java_mhr_appcore_filters_Filter_createDifferenceOfGaussianSharpenFilter | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jdouble | sigma,
|  | jdouble | k,
|  | jdouble | force,
|  | jboolean | area
| ) |  |

Definition at line 60 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * retVal = new TDoGSharpen<px_4x8bit, px_1x8bit>(sigma, k, force, area);
if (retVal != NULL) {
if (retVal->isInitOk()) {
return (long long) retVal;
} else {
delete retVal;
}
}
return 0x0;
}

JNIEXPORT jlong JNICALL Java_mhr_appcore_filters_Filter_createGaussianBlurFilter | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jdouble | xSigma,
|  | jdouble | ySigma
| ) |  |

Definition at line 12 of file mhr_appcore_filters_Filter.cpp.

{
TSeparableFilter<px_4x8bit, px_1x8bit> * retVal = new TGaussianBlur<px_4x8bit, px_1x8bit>(xSigma, ySigma);
if (retVal != NULL) {
if (retVal->isInitOk()) {
return (long long) retVal;
} else {
delete retVal;
}
}
return 0x0;
}

JNIEXPORT jlong JNICALL Java_mhr_appcore_filters_Filter_createGaussianSharpenFilter | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jdouble | sigma,
|  | jdouble | force
| ) |  |

Definition at line 36 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * retVal = new TGSharpen<px_4x8bit, px_1x8bit>(sigma, force);
if (retVal != NULL) {
if (retVal->isInitOk()) {
return (long long) retVal;
} else {
delete retVal;
}
}
return 0x0;
}

JNIEXPORT jlong JNICALL Java_mhr_appcore_filters_Filter_createLaplaceSharpenFilter | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jdouble | force
| ) |  |

Definition at line 24 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * retVal = new TLaplaceSharpen<px_4x8bit, px_1x8bit>(force);
if (retVal != NULL) {
if (retVal->isInitOk()) {
return (long long) retVal;
} else {
delete retVal;
}
}
return 0x0;
}

JNIEXPORT jlong JNICALL Java_mhr_appcore_filters_Filter_createLaplacianOfGaussianSharpenFilter | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jdouble | sigma,
|  | jdouble | force,
|  | jboolean | area
| ) |  |

Definition at line 48 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * retVal = new TLoGSharpen<px_4x8bit, px_1x8bit>(sigma, force, area);
if (retVal != NULL) {
if (retVal->isInitOk()) {
return (long long) retVal;
} else {
delete retVal;
}
}
return 0x0;
}

JNIEXPORT jint JNICALL Java_mhr_appcore_filters_Filter_disposeFilter | ( | JNIEnv * | pEnv,
|  | jclass | pThisClass,
|  | jlong | adress
| ) |  |

Definition at line 6 of file mhr_appcore_filters_Filter.cpp.

{
TFilter<px_4x8bit, px_1x8bit> * f = (TFilter<px_4x8bit, px_1x8bit> *) adress;
delete f;
return 0;
}